package cn.fastfun.util;

import java.util.ArrayList;
import java.util.Date;
import java.util.StringTokenizer;

/**
 * 对象工具类
 */
public final class ObjectUtil {

    public static String obj2String(Object object) {
        return null == object ? "" : String.valueOf(object);
    }

    public static float obj2Float(Object object) {
        return null == object ? 0 : Float.valueOf(obj2String(object));
    }

    public static double obj2Double(Object object) {
        return null == object ? 0 : Double.valueOf(obj2String(object));
    }

    public static Date obj2Date(Object object) {
        return null == object ? null : DateUtils.toDate(obj2String(object), DateUtils.YMDHMS);
    }

    public static int obj2Integer(Object object) {
        return null == object ? 0 : Integer.parseInt(obj2String(object));
    }

    public static ArrayList<Double> StringToArrayList(String str, String separator) {
        ArrayList<Double> arr = new ArrayList<Double>();
        if ((str == null) || (separator == null)) {
            return arr;
        }
        StringTokenizer st = new StringTokenizer(str, separator);
        while (st.hasMoreTokens()) {
            arr.add(Double.parseDouble(st.nextToken()));
        }
        return arr;
    }
}
